
#
# Patch managed by http://www.mn-logistik.de/unsupported/pxa250/patcher
#

--- src/configure.in~configure
+++ src/configure.in
@@ -4,7 +4,7 @@
 dnl Should also work with autoconf 2.54 and later.
 
 AC_INIT(vim.h)
-AC_CONFIG_HEADER(auto/config.h:config.h.in)
+AC_CONFIG_HEADER(config.h:config.h.in)
 
 dnl Being able to run configure means the system is Unix (compatible).
 AC_DEFINE(UNIX)
@@ -42,10 +42,10 @@
 
 dnl If configure thinks we are cross compiling, there is probably something
 dnl wrong with the CC or CFLAGS settings, give an understandable error message
-if test "$cross_compiling" = yes; then
-  AC_MSG_ERROR([cannot compile a simple program, check CC and CFLAGS
-  (cross compiling doesn't work)])
-fi
+dnl if test "$cross_compiling" = yes; then
+dnl   AC_MSG_ERROR([cannot compile a simple program, check CC and CFLAGS
+dnl   (cross compiling doesn't work)])
+dnl fi
 
 dnl gcc-cpp has the wonderful -MM option to produce nicer dependencies
 test "$GCC" = yes && CPP_MM=M; AC_SUBST(CPP_MM)
@@ -225,6 +225,17 @@
 	compiledby=""; AC_MSG_RESULT(no))
 AC_SUBST(compiledby)
 
+dnl on FreeBSD tclsh is a silly script, look for tclsh8.0 or tclsh8.2
+AC_MSG_CHECKING(--with-x argument)
+AC_ARG_WITH(x, [  --with-x=       use X],
+[
+if test X"$withval" = Xno; then
+	no_x=yes
+fi
+],
+AC_MSG_RESULT($withval),
+AC_MSG_RESULT(yes))
+
 AC_MSG_CHECKING(--disable-xsmp argument)
 AC_ARG_ENABLE(xsmp,
 	[  --disable-xsmp          Disable XSMP session management],
@@ -283,7 +294,7 @@
       if test "X$perlldflags" != "X"; then
 	LDFLAGS="$perlldflags $LDFLAGS"
       fi
-      PERL_SRC="auto/if_perl.c if_perlsfio.c"
+      PERL_SRC="if_perl.c if_perlsfio.c"
       PERL_OBJ="objects/if_perl.o objects/if_perlsfio.o"
       PERL_PRO="if_perl.pro if_perlsfio.pro"
       AC_DEFINE(FEAT_PERL)
@@ -818,7 +829,7 @@
 
 AC_MSG_CHECKING(--enable-gui argument)
 AC_ARG_ENABLE(gui,
- [  --enable-gui[=OPTS]     X11 GUI [default=auto] [OPTS=auto/no/gtk/gtk2/gnome/gnome2/motif/athena/neXtaw/beos/photon]], , enable_gui="auto")
+ [  --enable-gui[=OPTS]     X11 GUI [default=auto] [OPTS=no/gtk/gtk2/gnome/gnome2/motif/athena/neXtaw/beos/photon]], , enable_gui="auto")
 
 ## Canonicalize the --enable-gui= argument so that it can be easily compared.
 ## Do not use character classes for portability with old tools.
@@ -972,229 +983,6 @@
 fi
 
 
-dnl
-dnl Get the cflags and libraries from the gtk-config script
-dnl
-
-dnl define an autoconf function to check for a specified version of GTK, and
-dnl try to compile/link a GTK program.  this gets used once for GTK 1.1.16.
-dnl
-dnl AM_PATH_GTK([MINIMUM-VERSION, [ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]]])
-dnl Test for GTK, and define GTK_CFLAGS and GTK_LIBS
-dnl
-AC_DEFUN(AM_PATH_GTK,
-[
-  if test "X$GTK_CONFIG" != "Xno" -o "X$PKG_CONFIG" != "Xno"; then
-  {
-    min_gtk_version=ifelse([$1], ,0.99.7,$1)
-    AC_MSG_CHECKING(for GTK - version >= $min_gtk_version)
-    no_gtk=""
-    if (test "X$SKIP_GTK2" != "XYES" -a "X$PKG_CONFIG" != "Xno") \
-	  && $PKG_CONFIG --exists gtk+-2.0; then
-    {
-      dnl We should be using PKG_CHECK_MODULES() instead of this hack.
-      dnl But I guess the dependency on pkgconfig.m4 is not wanted or
-      dnl something like that.
-      GTK_CFLAGS=`$PKG_CONFIG --cflags gtk+-2.0`
-      GTK_LIBS=`$PKG_CONFIG --libs gtk+-2.0`
-      gtk_major_version=`$PKG_CONFIG --modversion gtk+-2.0 | \
-	     sed 's/\([[0-9]]*\)\.\([[0-9]]*\)\.\([[0-9]]*\)/\1/'`
-      gtk_minor_version=`$PKG_CONFIG --modversion gtk+-2.0 | \
-	     sed 's/\([[0-9]]*\)\.\([[0-9]]*\)\.\([[0-9]]*\)/\2/'`
-      gtk_micro_version=`$PKG_CONFIG --modversion gtk+-2.0 | \
-	     sed 's/\([[0-9]]*\)\.\([[0-9]]*\)\.\([[0-9]]*\)/\3/'`
-    }
-    elif test "X$GTK_CONFIG" != "Xno"; then
-    {
-      GTK_CFLAGS=`$GTK_CONFIG $gtk_config_args --cflags`
-      GTK_LIBS=`$GTK_CONFIG $gtk_config_args --libs`
-      gtk_major_version=`$GTK_CONFIG $gtk_config_args --version | \
-	     sed 's/\([[0-9]]*\)\.\([[0-9]]*\)\.\([[0-9]]*\)/\1/'`
-      gtk_minor_version=`$GTK_CONFIG $gtk_config_args --version | \
-	     sed 's/\([[0-9]]*\)\.\([[0-9]]*\)\.\([[0-9]]*\)/\2/'`
-      gtk_micro_version=`$GTK_CONFIG $gtk_config_args --version | \
-	     sed 's/\([[0-9]]*\)\.\([[0-9]]*\)\.\([[0-9]]*\)/\3/'`
-    }
-    else
-      no_gtk=yes
-    fi
-
-    if test "x$enable_gtktest" = "xyes" -a "x$no_gtk" = "x"; then
-    {
-      ac_save_CFLAGS="$CFLAGS"
-      ac_save_LIBS="$LIBS"
-      CFLAGS="$CFLAGS $GTK_CFLAGS"
-      LIBS="$LIBS $GTK_LIBS"
-
-      dnl
-      dnl Now check if the installed GTK is sufficiently new. (Also sanity
-      dnl checks the results of gtk-config to some extent
-      dnl
-      rm -f conf.gtktest
-      AC_TRY_RUN([
-#include <gtk/gtk.h>
-#include <stdio.h>
-
-int
-main ()
-{
-int major, minor, micro;
-char *tmp_version;
-
-system ("touch conf.gtktest");
-
-/* HP/UX 9 (%@#!) writes to sscanf strings */
-tmp_version = g_strdup("$min_gtk_version");
-if (sscanf(tmp_version, "%d.%d.%d", &major, &minor, &micro) != 3) {
-   printf("%s, bad version string\n", "$min_gtk_version");
-   exit(1);
- }
-
-if ((gtk_major_version > major) ||
-    ((gtk_major_version == major) && (gtk_minor_version > minor)) ||
-    ((gtk_major_version == major) && (gtk_minor_version == minor) &&
-				     (gtk_micro_version >= micro)))
-{
-    return 0;
-}
-return 1;
-}
-],, no_gtk=yes,[echo $ac_n "cross compiling; assumed OK... $ac_c"])
-      CFLAGS="$ac_save_CFLAGS"
-      LIBS="$ac_save_LIBS"
-    }
-    fi
-    if test "x$no_gtk" = x ; then
-      if test "x$enable_gtktest" = "xyes"; then
-	AC_MSG_RESULT(yes; found version $gtk_major_version.$gtk_minor_version.$gtk_micro_version)
-      else
-	AC_MSG_RESULT(found version $gtk_major_version.$gtk_minor_version.$gtk_micro_version)
-      fi
-      ifelse([$2], , :, [$2])
-    else
-    {
-      AC_MSG_RESULT(no)
-      GTK_CFLAGS=""
-      GTK_LIBS=""
-      ifelse([$3], , :, [$3])
-    }
-    fi
-  }
-  else
-    GTK_CFLAGS=""
-    GTK_LIBS=""
-    ifelse([$3], , :, [$3])
-  fi
-  AC_SUBST(GTK_CFLAGS)
-  AC_SUBST(GTK_LIBS)
-  rm -f conf.gtktest
-])
-
-dnl ---------------------------------------------------------------------------
-dnl gnome
-dnl ---------------------------------------------------------------------------
-AC_DEFUN([GNOME_INIT_HOOK],
-[
-  AC_SUBST(GNOME_LIBS)
-  AC_SUBST(GNOME_LIBDIR)
-  AC_SUBST(GNOME_INCLUDEDIR)
-
-  AC_ARG_WITH(gnome-includes,
-    [  --with-gnome-includes=DIR Specify location of GNOME headers],
-    [CFLAGS="$CFLAGS -I$withval"]
-  )
-
-  AC_ARG_WITH(gnome-libs,
-    [  --with-gnome-libs=DIR   Specify location of GNOME libs],
-    [LDFLAGS="$LDFLAGS -L$withval" gnome_prefix=$withval]
-  )
-
-  AC_ARG_WITH(gnome,
-    [  --with-gnome            Specify prefix for GNOME files],
-    if test x$withval = xyes; then
-      want_gnome=yes
-      ifelse([$1], [], :, [$1])
-    else
-      if test "x$withval" = xno; then
-	want_gnome=no
-      else
-	want_gnome=yes
-	LDFLAGS="$LDFLAGS -L$withval/lib"
-	CFLAGS="$CFLAGS -I$withval/include"
-	gnome_prefix=$withval/lib
-      fi
-    fi,
-    want_gnome=yes)
-
-  if test "x$want_gnome" = xyes -a "0$gtk_major_version" -ge 2; then
-  {
-    AC_MSG_CHECKING(for libgnomeui-2.0)
-    if $PKG_CONFIG --exists libgnomeui-2.0; then
-      AC_MSG_RESULT(yes)
-      GNOME_LIBS=`$PKG_CONFIG --libs-only-l libgnomeui-2.0`
-      GNOME_LIBDIR=`$PKG_CONFIG --libs-only-L libgnomeui-2.0`
-      GNOME_INCLUDEDIR=`$PKG_CONFIG --cflags libgnomeui-2.0`
-      $1
-    else
-      AC_MSG_RESULT(not found)
-      if test "x$2" = xfail; then
-	AC_MSG_ERROR(Could not find libgnomeui-2.0 via pkg-config)
-      fi
-    fi
-  }
-  elif test "x$want_gnome" = xyes; then
-  {
-    AC_PATH_PROG(GNOME_CONFIG,gnome-config,no)
-    if test "$GNOME_CONFIG" = "no"; then
-      no_gnome_config="yes"
-    else
-      AC_MSG_CHECKING(if $GNOME_CONFIG works)
-      if $GNOME_CONFIG --libs-only-l gnome >/dev/null 2>&1; then
-	AC_MSG_RESULT(yes)
-	GNOME_LIBS="`$GNOME_CONFIG --libs-only-l gnome gnomeui`"
-	GNOME_LIBDIR="`$GNOME_CONFIG --libs-only-L gnorba gnomeui`"
-	GNOME_INCLUDEDIR="`$GNOME_CONFIG --cflags gnorba gnomeui`"
-	$1
-      else
-	AC_MSG_RESULT(no)
-	no_gnome_config="yes"
-      fi
-    fi
-
-    if test x$exec_prefix = xNONE; then
-      if test x$prefix = xNONE; then
-	gnome_prefix=$ac_default_prefix/lib
-      else
-	gnome_prefix=$prefix/lib
-      fi
-    else
-      gnome_prefix=`eval echo \`echo $libdir\``
-    fi
-
-    if test "$no_gnome_config" = "yes"; then
-      AC_MSG_CHECKING(for gnomeConf.sh file in $gnome_prefix)
-      if test -f $gnome_prefix/gnomeConf.sh; then
-	AC_MSG_RESULT(found)
-	echo "loading gnome configuration from" \
-	  "$gnome_prefix/gnomeConf.sh"
-	. $gnome_prefix/gnomeConf.sh
-	$1
-      else
-	AC_MSG_RESULT(not found)
-	if test x$2 = xfail; then
-	  AC_MSG_ERROR(Could not find the gnomeConf.sh file that is generated by gnome-libs install)
-	fi
-      fi
-    fi
-  }
-  fi
-])
-
-AC_DEFUN([GNOME_INIT],[
-	GNOME_INIT_HOOK([],fail)
-])
-
-
 dnl ---------------------------------------------------------------------------
 dnl Check for GTK.  First checks for gtk-config, cause it needs that to get the
 dnl correct compiler flags.  Then checks for GTK 1.1.16.  If that fails, then
@@ -1586,7 +1374,7 @@
 AC_TRY_RUN([#include <ctype.h>
 main() { exit(toupper('A') == 'A' && tolower('z') == 'z'); }],
 	AC_DEFINE(BROKEN_TOUPPER) AC_MSG_RESULT(bad),
-	AC_MSG_RESULT(good), AC_MSG_ERROR(failed to compile test program))
+	AC_MSG_RESULT(good), AC_MSG_WARN(failed to compile test program))
 
 AC_MSG_CHECKING(whether __DATE__ and __TIME__ work)
 AC_TRY_COMPILE(, [printf("(" __DATE__ " " __TIME__ ")");],
@@ -1753,7 +1541,7 @@
 # include <termcap.h>
 #endif
 main() {char *s; s=(char *)tgoto("%p1%d", 0, 1); exit(0); }],
-			  res="OK", res="FAIL", res="FAIL")
+			  res="OK", res="FAIL", res="OK")
       if test "$res" = "OK"; then
 	break
       fi
@@ -1772,7 +1560,8 @@
 {char *s; s=(char *)tgoto("%p1%d", 0, 1); exit(!strcmp(s==0 ? "" : s, "1")); }],
 	  AC_MSG_RESULT([no -- we are in termcap land]),
 	  AC_MSG_RESULT([yes -- terminfo spoken here]); AC_DEFINE(TERMINFO),
-	  AC_MSG_ERROR(failed to compile test program.))
+	  AC_MSG_WARN(crosscompiling - defaulting to terminfo)
+	  AC_DEFINE(TERMINFO))
 else
   AC_MSG_RESULT(none found)
 fi
@@ -1787,7 +1576,8 @@
 {char s[10000]; int res = tgetent(s, "thisterminaldoesnotexist"); exit(res != 0); }],
 	  AC_MSG_RESULT(zero); AC_DEFINE(TGETENT_ZERO_ERR, 0),
 	  AC_MSG_RESULT(non-zero),
-	  AC_MSG_ERROR(failed to compile test program.))
+	  AC_MSG_WARN(crosscompiling - defaulting to zero)
+	  AC_DEFINE(TGETENT_ZERO_ERR))
 fi
 
 AC_MSG_CHECKING(whether termcap.h contains ospeed)
@@ -1938,7 +1728,7 @@
     fi
 ],
     AC_MSG_RESULT([can't determine - assume ptys are world accessable]),
-    AC_MSG_ERROR(failed to compile test program))
+    AC_MSG_WARN(failed to compile test program))
 rm -f conftest_grp
 
 dnl Checks for library functions. ===================================
@@ -1981,7 +1771,7 @@
 	AC_MSG_RESULT(it is usable),
 	AC_MSG_RESULT(it stinks)
 		AC_DEFINE(BAD_GETCWD),
-	AC_MSG_ERROR(failed to compile test program))
+	AC_MSG_WARN(failed to compile test program))
 
 dnl Check for functions in one big call, to reduce the size of configure
 AC_CHECK_FUNCS(bcmp fchdir fchown fseeko fsync ftello getcwd getpseudotty \
@@ -2004,13 +1794,20 @@
 	AC_MSG_RESULT(yes); AC_DEFINE(HAVE_ST_BLKSIZE),
 	AC_MSG_RESULT(no))
 
-AC_MSG_CHECKING(whether stat() ignores a trailing slash)
+AC_CACHE_CHECK([whether stat() ignores a trailing slash],
+	       [ac_cv_func_stat_ignores_trailing_slash],
 AC_TRY_RUN(
 [#include <sys/types.h>
 #include <sys/stat.h>
 main() {struct stat st;  exit(stat("configure/", &st) != 0); }],
-	AC_MSG_RESULT(yes); AC_DEFINE(STAT_IGNORES_SLASH),
-	AC_MSG_RESULT(no), AC_MSG_ERROR(failed to compile test program))
+	ac_cv_func_stat_ignores_trailing_slash=yes,
+	ac_cv_func_stat_ignores_trailing_slash=no,
+	ac_cv_func_stat_ignores_trailing_slash=no
+))
+
+if X"$ac_cv_func_stat_ignores_trailing_slash" = Xyes; then
+	AC_DEFINE(STAT_IGNORES_SLASH)
+fi
 
 dnl Link with iconv for charset translation, if not found without library.
 dnl check for iconv() requires including iconv.h
@@ -2149,7 +1946,7 @@
 	    ],
 	AC_DEFINE(HAVE_VSNPRINTF) AC_MSG_RESULT(yes),
 	AC_MSG_RESULT(no),
-	AC_MSG_ERROR(failed to compile test program))
+	AC_MSG_WARN(failed to compile test program))
 
 
 dnl rename needs to be checked separately to work on Nextstep with cc
@@ -2241,9 +2038,9 @@
 	AC_DEFINE(USEBCOPY) AC_MSG_RESULT(bcopy does),
 	AC_TRY_RUN([#define mch_memmove(s,d,l) memcpy(d,s,l) $bcopy_test_prog],
 	    AC_DEFINE(USEMEMCPY) AC_MSG_RESULT(memcpy does), AC_MSG_RESULT(no),
-	    AC_MSG_ERROR(failed to compile test program)),
-	AC_MSG_ERROR(failed to compile test program)),
-    AC_MSG_ERROR(failed to compile test program))
+	    AC_MSG_WARN(failed to compile test program)),
+	AC_MSG_WARN(failed to compile test program)),
+    AC_MSG_WARN(failed to compile test program))
 
 dnl Check for multibyte locale functions
 dnl Find out if _Xsetlocale() is supported by libX11.
@@ -2418,6 +2215,6 @@
 AC_CHECK_HEADERS(setjmp.h)
 
 dnl write output files
-AC_OUTPUT(auto/config.mk:config.mk.in)
+AC_OUTPUT(config.mk:config.mk.in)
 
 dnl vim: set sw=2 tw=78 fo+=l:
--- /dev/null
+++ src/acinclude.m4
@@ -0,0 +1,223 @@
+dnl
+dnl Get the cflags and libraries from the gtk-config script
+dnl
+
+dnl define an autoconf function to check for a specified version of GTK, and
+dnl try to compile/link a GTK program.  this gets used once for GTK 1.1.16.
+dnl
+dnl AM_PATH_GTK([MINIMUM-VERSION, [ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]]])
+dnl Test for GTK, and define GTK_CFLAGS and GTK_LIBS
+dnl
+AC_DEFUN(AM_PATH_GTK,
+[
+  if test "X$GTK_CONFIG" != "Xno" -o "X$PKG_CONFIG" != "Xno"; then
+  {
+    min_gtk_version=ifelse([$1], ,0.99.7,$1)
+    AC_MSG_CHECKING(for GTK - version >= $min_gtk_version)
+    no_gtk=""
+    if (test "X$SKIP_GTK2" != "XYES" -a "X$PKG_CONFIG" != "Xno") \
+	  && $PKG_CONFIG --exists gtk+-2.0; then
+    {
+      dnl We should be using PKG_CHECK_MODULES() instead of this hack.
+      dnl But I guess the dependency on pkgconfig.m4 is not wanted or
+      dnl something like that.
+      GTK_CFLAGS=`$PKG_CONFIG --cflags gtk+-2.0`
+      GTK_LIBS=`$PKG_CONFIG --libs gtk+-2.0`
+      gtk_major_version=`$PKG_CONFIG --modversion gtk+-2.0 | \
+	     sed 's/\([[0-9]]*\)\.\([[0-9]]*\)\.\([[0-9]]*\)/\1/'`
+      gtk_minor_version=`$PKG_CONFIG --modversion gtk+-2.0 | \
+	     sed 's/\([[0-9]]*\)\.\([[0-9]]*\)\.\([[0-9]]*\)/\2/'`
+      gtk_micro_version=`$PKG_CONFIG --modversion gtk+-2.0 | \
+	     sed 's/\([[0-9]]*\)\.\([[0-9]]*\)\.\([[0-9]]*\)/\3/'`
+    }
+    elif test "X$GTK_CONFIG" != "Xno"; then
+    {
+      GTK_CFLAGS=`$GTK_CONFIG $gtk_config_args --cflags`
+      GTK_LIBS=`$GTK_CONFIG $gtk_config_args --libs`
+      gtk_major_version=`$GTK_CONFIG $gtk_config_args --version | \
+	     sed 's/\([[0-9]]*\)\.\([[0-9]]*\)\.\([[0-9]]*\)/\1/'`
+      gtk_minor_version=`$GTK_CONFIG $gtk_config_args --version | \
+	     sed 's/\([[0-9]]*\)\.\([[0-9]]*\)\.\([[0-9]]*\)/\2/'`
+      gtk_micro_version=`$GTK_CONFIG $gtk_config_args --version | \
+	     sed 's/\([[0-9]]*\)\.\([[0-9]]*\)\.\([[0-9]]*\)/\3/'`
+    }
+    else
+      no_gtk=yes
+    fi
+
+    if test "x$enable_gtktest" = "xyes" -a "x$no_gtk" = "x"; then
+    {
+      ac_save_CFLAGS="$CFLAGS"
+      ac_save_LIBS="$LIBS"
+      CFLAGS="$CFLAGS $GTK_CFLAGS"
+      LIBS="$LIBS $GTK_LIBS"
+
+      dnl
+      dnl Now check if the installed GTK is sufficiently new. (Also sanity
+      dnl checks the results of gtk-config to some extent
+      dnl
+      rm -f conf.gtktest
+      AC_TRY_RUN([
+#include <gtk/gtk.h>
+#include <stdio.h>
+
+int
+main ()
+{
+int major, minor, micro;
+char *tmp_version;
+
+system ("touch conf.gtktest");
+
+/* HP/UX 9 (%@#!) writes to sscanf strings */
+tmp_version = g_strdup("$min_gtk_version");
+if (sscanf(tmp_version, "%d.%d.%d", &major, &minor, &micro) != 3) {
+   printf("%s, bad version string\n", "$min_gtk_version");
+   exit(1);
+ }
+
+if ((gtk_major_version > major) ||
+    ((gtk_major_version == major) && (gtk_minor_version > minor)) ||
+    ((gtk_major_version == major) && (gtk_minor_version == minor) &&
+				     (gtk_micro_version >= micro)))
+{
+    return 0;
+}
+return 1;
+}
+],, no_gtk=yes,[echo $ac_n "cross compiling; assumed OK... $ac_c"])
+      CFLAGS="$ac_save_CFLAGS"
+      LIBS="$ac_save_LIBS"
+    }
+    fi
+    if test "x$no_gtk" = x ; then
+      if test "x$enable_gtktest" = "xyes"; then
+	AC_MSG_RESULT(yes; found version $gtk_major_version.$gtk_minor_version.$gtk_micro_version)
+      else
+	AC_MSG_RESULT(found version $gtk_major_version.$gtk_minor_version.$gtk_micro_version)
+      fi
+      ifelse([$2], , :, [$2])
+    else
+    {
+      AC_MSG_RESULT(no)
+      GTK_CFLAGS=""
+      GTK_LIBS=""
+      ifelse([$3], , :, [$3])
+    }
+    fi
+  }
+  else
+    GTK_CFLAGS=""
+    GTK_LIBS=""
+    ifelse([$3], , :, [$3])
+  fi
+  AC_SUBST(GTK_CFLAGS)
+  AC_SUBST(GTK_LIBS)
+  rm -f conf.gtktest
+])
+
+dnl ---------------------------------------------------------------------------
+dnl gnome
+dnl ---------------------------------------------------------------------------
+AC_DEFUN([GNOME_INIT_HOOK],
+[
+  AC_SUBST(GNOME_LIBS)
+  AC_SUBST(GNOME_LIBDIR)
+  AC_SUBST(GNOME_INCLUDEDIR)
+
+  AC_ARG_WITH(gnome-includes,
+    [  --with-gnome-includes=DIR Specify location of GNOME headers],
+    [CFLAGS="$CFLAGS -I$withval"]
+  )
+
+  AC_ARG_WITH(gnome-libs,
+    [  --with-gnome-libs=DIR   Specify location of GNOME libs],
+    [LDFLAGS="$LDFLAGS -L$withval" gnome_prefix=$withval]
+  )
+
+  AC_ARG_WITH(gnome,
+    [  --with-gnome            Specify prefix for GNOME files],
+    if test x$withval = xyes; then
+      want_gnome=yes
+      ifelse([$1], [], :, [$1])
+    else
+      if test "x$withval" = xno; then
+	want_gnome=no
+      else
+	want_gnome=yes
+	LDFLAGS="$LDFLAGS -L$withval/lib"
+	CFLAGS="$CFLAGS -I$withval/include"
+	gnome_prefix=$withval/lib
+      fi
+    fi,
+    want_gnome=yes)
+
+  if test "x$want_gnome" = xyes -a "0$gtk_major_version" -ge 2; then
+  {
+    AC_MSG_CHECKING(for libgnomeui-2.0)
+    if $PKG_CONFIG --exists libgnomeui-2.0; then
+      AC_MSG_RESULT(yes)
+      GNOME_LIBS=`$PKG_CONFIG --libs-only-l libgnomeui-2.0`
+      GNOME_LIBDIR=`$PKG_CONFIG --libs-only-L libgnomeui-2.0`
+      GNOME_INCLUDEDIR=`$PKG_CONFIG --cflags libgnomeui-2.0`
+      $1
+    else
+      AC_MSG_RESULT(not found)
+      if test "x$2" = xfail; then
+	AC_MSG_ERROR(Could not find libgnomeui-2.0 via pkg-config)
+      fi
+    fi
+  }
+  elif test "x$want_gnome" = xyes; then
+  {
+    AC_PATH_PROG(GNOME_CONFIG,gnome-config,no)
+    if test "$GNOME_CONFIG" = "no"; then
+      no_gnome_config="yes"
+    else
+      AC_MSG_CHECKING(if $GNOME_CONFIG works)
+      if $GNOME_CONFIG --libs-only-l gnome >/dev/null 2>&1; then
+	AC_MSG_RESULT(yes)
+	GNOME_LIBS="`$GNOME_CONFIG --libs-only-l gnome gnomeui`"
+	GNOME_LIBDIR="`$GNOME_CONFIG --libs-only-L gnorba gnomeui`"
+	GNOME_INCLUDEDIR="`$GNOME_CONFIG --cflags gnorba gnomeui`"
+	$1
+      else
+	AC_MSG_RESULT(no)
+	no_gnome_config="yes"
+      fi
+    fi
+
+    if test x$exec_prefix = xNONE; then
+      if test x$prefix = xNONE; then
+	gnome_prefix=$ac_default_prefix/lib
+      else
+	gnome_prefix=$prefix/lib
+      fi
+    else
+      gnome_prefix=`eval echo \`echo $libdir\``
+    fi
+
+    if test "$no_gnome_config" = "yes"; then
+      AC_MSG_CHECKING(for gnomeConf.sh file in $gnome_prefix)
+      if test -f $gnome_prefix/gnomeConf.sh; then
+	AC_MSG_RESULT(found)
+	echo "loading gnome configuration from" \
+	  "$gnome_prefix/gnomeConf.sh"
+	. $gnome_prefix/gnomeConf.sh
+	$1
+      else
+	AC_MSG_RESULT(not found)
+	if test x$2 = xfail; then
+	  AC_MSG_ERROR(Could not find the gnomeConf.sh file that is generated by gnome-libs install)
+	fi
+      fi
+    fi
+  }
+  fi
+])
+
+AC_DEFUN([GNOME_INIT],[
+	GNOME_INIT_HOOK([],fail)
+])
+
+
--- src/Makefile~configure
+++ src/Makefile
@@ -68,8 +68,8 @@
 #	this in two steps with:
 #		make config
 #		make
-#	The configuration phase creates/overwrites auto/config.h and
-#	auto/config.mk.
+#	The configuration phase creates/overwrites config.h and
+#	config.mk.
 #	The configure script is created with "make autoconf".  It can detect
 #	different features of your system and act accordingly.  However, it is
 #	not correct for all systems.  Check this:
@@ -84,14 +84,14 @@
 #		make reconfig
 #
 #	- If you do not trust the automatic configuration code, then inspect
-#	  auto/config.h and auto/config.mk, before starting the actual build
-#	  phase. If possible edit this Makefile, rather than auto/config.mk --
+#	  config.h and config.mk, before starting the actual build
+#	  phase. If possible edit this Makefile, rather than config.mk --
 #	  especially look at the definition of VIMLOC below. Note that the
-#	  configure phase overwrites auto/config.mk and auto/config.h again.
+#	  configure phase overwrites config.mk and config.h again.
 #	- If you get error messages, find out what is wrong and try to correct
 #	  it in this Makefile. You may need to do "make reconfig" when you
 #	  change anything that configure uses (e.g. switching from an old C
-#	  compiler to an ANSI C compiler). Only when auto/configure does
+#	  compiler to an ANSI C compiler). Only when configure does
 #	  something wrong you may need to change one of the other files. If
 #	  you find a clean way to fix the problem, consider sending a note to
 #	  the author of autoconf (bug-gnu-utils@prep.ai.mit.edu) or Vim
@@ -108,7 +108,7 @@
 #	If the new Vim seems to be working OK you can install it and the
 #	documentation in the appropriate location. The default is
 #	"/usr/local".  Change "prefix" below to change the location.
-#	"auto/pathdef.c" will be compiled again after changing this to make
+#	"pathdef.c" will be compiled again after changing this to make
 #	the executable know where the help files are located.
 #	Note that any existing executable is removed or overwritten.  If you
 #	want to keep it you will have to make a backup copy first.
@@ -224,7 +224,7 @@
 # (I)  SINIX-N 5.42 and 5.43 need some EXTRA_LIBS.  Also for Reliant-Unix.
 # (J)  If you get undefined symbols, see below for a solution.
 # (K)  See lines to uncomment below for machines with 64 bit pointers.
-# (L)  For Silicon Graphics O2 workstations remove "-lnsl" from auto/config.mk
+# (L)  For Silicon Graphics O2 workstations remove "-lnsl" from config.mk
 # (M)  gcc version cygnus-2.0.1 does NOT work (symptom: "dl" deletes two
 #      characters instead of one).
 # (N)  SCO with decmouse.
@@ -238,7 +238,7 @@
 #      detection, since the configure script runs into an error when it
 #      detects Python (probably because of the bash shell).
 # (V)  See lines to uncomment below.
-# (X)  Need to use the .include "auto/config.mk" line below
+# (X)  Need to use the .include "config.mk" line below
 # (Y)  See line with c89 below
 # (Z)  See lines with cc or c89 below
 # (a)  See line with EXTRA_LIBS below.
@@ -263,20 +263,20 @@
 #GUI_LIB_LOC = -L/usr/X11R6/lib
 # }}}
 
-######################## auto/config.mk ######################## {{{1
-# At this position auto/config.mk is included. When starting from the
-# distribution it is almost empty. After running auto/configure it contains
+######################## config.mk ######################## {{{1
+# At this position config.mk is included. When starting from the
+# distribution it is almost empty. After running configure it contains
 # settings that have been discovered for your system. Settings below this
-# include override settings in auto/config.mk!
+# include override settings in config.mk!
 
-# Note: if auto/config.mk is lost somehow (e.g., because configure was
-# interrupted), create an empty auto/config.mk file and do "make config".
+# Note: if config.mk is lost somehow (e.g., because configure was
+# interrupted), create an empty config.mk file and do "make config".
 
-# (X) How to include auto/config.mk depends on the version of "make" you have,
+# (X) How to include config.mk depends on the version of "make" you have,
 #     if the current choice doesn't work, try the other one.
 
-include auto/config.mk
-#.include "auto/config.mk"
+include config.mk
+#.include "config.mk"
 CClink = $(CC)
 
 #}}}
@@ -344,7 +344,7 @@
 # Uncomment this when you want to include the Perl interface.
 # The Perl option sometimes causes problems, because it adds extra flags
 # to the command line.	If you see strange flags during compilation, check in
-# auto/config.mk where they come from.  If it's PERL_CFLAGS, try commenting
+# config.mk where they come from.  If it's PERL_CFLAGS, try commenting
 # the next line.
 # When you get an error for a missing "perl.exp" file, try creating an emtpy
 # one: "touch perl.exp".
@@ -633,12 +633,12 @@
 # 1. If you don't have an X server: Comment out CONF_OPT_GUI and uncomment
 #    CONF_OPT_X = --without-x.
 # 2. make config
-# 3. edit auto/config.mk and remove -ldir and -ltermcap from LIBS.  It doesn't
+# 3. edit config.mk and remove -ldir and -ltermcap from LIBS.  It doesn't
 #	have -ldir (does config find it somewhere?) and -ltermcap has at
 #	least one problem so I use termlib.o instead.  The problem with
 #	termcap is that it segfaults if you call it with the name of
 #	a non-existent terminal type.
-# 4. edit auto/config.h and add #define USE_TMPNAM
+# 4. edit config.h and add #define USE_TMPNAM
 # 5. add termlib.o to OBJ
 # 6. make
 
@@ -708,7 +708,7 @@
 #GUI_LIB_LOC = -L/usr/lib64
 # then
 # 1) make config
-# 2) edit auto/config.mk and delete the -lelf entry in the LIBS line
+# 2) edit config.mk and delete the -lelf entry in the LIBS line
 # 3) make
 #
 # or (for 32bit pointers) uncomment the following line
@@ -716,7 +716,7 @@
 #GUI_LIB_LOC = -L/usr/lib32
 # then
 # 1) make config
-# 2) edit auto/config.mk, add -n32 to LDFLAGS
+# 2) edit config.mk, add -n32 to LDFLAGS
 # 3) make
 ###
 
@@ -1242,7 +1242,7 @@
 	ops.c \
 	option.c \
 	os_unix.c \
-	auto/pathdef.c \
+	pathdef.c \
 	quickfix.c \
 	regexp.c \
 	screen.c \
@@ -1261,7 +1261,7 @@
 
 TAGS_SRC = *.c *.cpp if_perl.xs
 
-EXTRA_SRC = hangulin.c auto/if_perl.c if_perlsfio.c if_python.c if_tcl.c \
+EXTRA_SRC = hangulin.c if_perl.c if_perlsfio.c if_python.c if_tcl.c \
 		if_ruby.c if_sniff.c gui_beval.c \
 		workshop.c wsdebug.c integration.c netbeans.c
 
@@ -1392,14 +1392,14 @@
 
 # Run configure with all the setting from above.
 #
-# Note: auto/config.h doesn't depend on configure, because running configure
-# doesn't always update auto/config.h.  The timestamp isn't changed if the
+# Note: config.h doesn't depend on configure, because running configure
+# doesn't always update config.h.  The timestamp isn't changed if the
 # file contents didn't change (to avoid recompiling everything).  Including a
-# dependency on auto/config.h would cause running configure each time when
-# auto/config.h isn't updated.  The dependency on auto/config.mk should make
+# dependency on config.h would cause running configure each time when
+# config.h isn't updated.  The dependency on config.mk should make
 # sure configure is run when it's needed.
 #
-config auto/config.mk: auto/configure config.mk.in config.h.in
+config config.mk: configure config.mk.in config.h.in
 	GUI_INC_LOC="$(GUI_INC_LOC)" GUI_LIB_LOC="$(GUI_LIB_LOC)" \
 		CC="$(CC)" CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" \
 		LDFLAGS="$(LDFLAGS)" $(CONF_SHELL) srcdir="$(srcdir)" \
@@ -1414,31 +1414,31 @@
 
 # Use "make reconfig" to rerun configure without cached values.
 # When config.h changes, most things will be recompiled automatically.
-# Use "myself" to make "all" with a possibly changed auto/config.mk.
+# Use "myself" to make "all" with a possibly changed config.mk.
 reconfig: scratch config myself
 
-# Run autoconf to produce auto/configure.
+# Run autoconf to produce configure.
 # Note:
 # - DO NOT RUN autoconf MANUALLY!  It will overwrite ./configure instead of
-#   producing auto/configure.
+#   producing configure.
 # - autoconf is not run automatically, because a patch usually changes both
-#   configure.in and auto/configure but can't update the timestamps.  People
+#   configure.in and configure but can't update the timestamps.  People
 #   who do not have (the correct version of) autoconf would run into trouble.
 #
 # Two tricks are required to make autoconf put its output in the "auto" dir:
 # - Temporarily move the ./configure script to ./configure.save.  Don't
 #   overwrite it, it's probably the result of an aborted autoconf.
-# - Use sed to change ./config.log to auto/config.log in the configure script.
+# - Use sed to change ./config.log to config.log in the configure script.
 autoconf:
 	if test ! -f configure.save; then mv configure configure.save; fi
 	autoconf
-	sed -e 's+\./config.log+auto/config.log+' configure > auto/configure
-	chmod 755 auto/configure
+	sed -e 's+\./config.log+config.log+' configure > configure
+	chmod 755 configure
 	mv -f configure.save configure
-	-rm -f auto/config.status auto/config.cache
+	-rm -f config.status config.cache
 
-# Re-execute this Makefile to include the new auto/config.mk produced by
-# configure Only used when typing "make" with a fresh auto/config.mk.
+# Re-execute this Makefile to include the new config.mk produced by
+# configure Only used when typing "make" with a fresh config.mk.
 myself:
 	$(MAKE) -f Makefile all
 
@@ -1449,7 +1449,7 @@
 
 # Link the target for normal use or debugging.
 # A shell script is used to try linking without unneccesary libraries.
-$(VIMTARGET): auto/config.mk objects $(OBJ) version.c version.h
+$(VIMTARGET): config.mk objects $(OBJ) version.c version.h
 	$(CCC) version.c -o objects/version.o
 	@LINK="$(PURIFY) $(SHRPENV) $(CClink) $(ALL_LIB_DIRS) $(LDFLAGS) \
 		-o $(VIMTARGET) $(OBJ) objects/version.o $(ALL_LIBS)" \
@@ -1487,7 +1487,7 @@
 #	cproto $(PFLAGS) -DFEAT_GUI $(*F).c > $@
 
 # Always define FEAT_GUI.  This may generate a few warnings if it's also
-# defined in auto/config.h, you can ignore that.
+# defined in config.h, you can ignore that.
 .c.pro:
 	cproto $(PFLAGS) -DFEAT_GUI $< > proto/$@
 	echo "/* vim: set ft=c : */" >> proto/$@
@@ -1517,18 +1517,18 @@
 	echo "/* vim: set ft=c : */" >> proto/$@
 
 os_vms.pro: os_vms.c
-# must use os_vms_conf.h for auto/config.h
-	mv auto/config.h auto/config.h.save
-	cp os_vms_conf.h auto/config.h
+# must use os_vms_conf.h for config.h
+	mv config.h config.h.save
+	cp os_vms_conf.h config.h
 	cproto $(PFLAGS) -DVMS -UFEAT_GUI_ATHENA -UFEAT_GUI_NEXTAW -UFEAT_GUI_MOTIF -UFEAT_GUI_GTK $< > proto/$@
 	echo "/* vim: set ft=c : */" >> proto/$@
-	rm auto/config.h
-	mv auto/config.h.save auto/config.h
+	rm config.h
+	mv config.h.save config.h
 
 # if_perl.pro is special: Use the generated if_perl.c for input and remove
 # prototypes for local functions.
-if_perl.pro: auto/if_perl.c
-	cproto $(PFLAGS) -DFEAT_GUI auto/if_perl.c | sed "/_VI/d" > proto/$@
+if_perl.pro: if_perl.c
+	cproto $(PFLAGS) -DFEAT_GUI if_perl.c | sed "/_VI/d" > proto/$@
 
 
 notags:
@@ -1923,8 +1923,8 @@
 # We support common typing mistakes for Juergen! :-)
 clean celan: testclean
 	-rm -f *.o objects/* core $(VIMTARGET).core $(VIMTARGET) xxd/*.o
-	-rm -f $(TOOLS) auto/osdef.h auto/pathdef.c auto/if_perl.c
-	-rm -f conftest* *~ auto/link.sed
+	-rm -f $(TOOLS) osdef.h pathdef.c if_perl.c
+	-rm -f conftest* *~ link.sed
 	if test -d $(PODIR); then \
 		cd $(PODIR); $(MAKE) prefix=$(DESTDIR)$(prefix) clean; \
 	fi
@@ -1937,11 +1937,11 @@
 	mkdir $(SHADOWDIR)
 	cd $(SHADOWDIR); ln -s ../*.[ch] ../*.in ../*.sh ../*.xs ../*.xbm ../toolcheck ../proto ../vimtutor ../mkinstalldirs .
 	mkdir $(SHADOWDIR)/auto
-	cd $(SHADOWDIR)/auto; ln -s ../../auto/configure .
-	cd $(SHADOWDIR); rm -f auto/link.sed
+	cd $(SHADOWDIR)/auto; ln -s ../../configure .
+	cd $(SHADOWDIR); rm -f link.sed
 	cp Makefile configure $(SHADOWDIR)
-	rm -f $(SHADOWDIR)/auto/config.mk $(SHADOWDIR)/config.mk.dist
-	cp config.mk.dist $(SHADOWDIR)/auto/config.mk
+	rm -f $(SHADOWDIR)/config.mk $(SHADOWDIR)/config.mk.dist
+	cp config.mk.dist $(SHADOWDIR)/config.mk
 	cp config.mk.dist $(SHADOWDIR)
 	mkdir $(SHADOWDIR)/xxd
 	cd $(SHADOWDIR)/xxd; ln -s ../../xxd/*.[ch] ../../xxd/Make* .
@@ -1967,10 +1967,10 @@
 
 # Start configure from scratch
 scrub scratch:
-	-rm -f auto/config.status auto/config.cache config.log auto/config.log
-	-rm -f auto/config.h auto/link.log auto/link.sed auto/config.mk
-	touch auto/config.h
-	cp config.mk.dist auto/config.mk
+	-rm -f config.status config.cache config.log config.log
+	-rm -f config.h link.log link.sed config.mk
+	touch config.h
+	cp config.mk.dist config.mk
 
 distclean: clean scratch
 	-rm -f tags
@@ -2018,16 +2018,16 @@
 .cc.o:
 	$(CCC) $<
 
-auto/if_perl.c: if_perl.xs
+if_perl.c: if_perl.xs
 	$(PERL) -e 'unless ( $$] >= 5.005 ) { for (qw(na defgv errgv)) { print "#define PL_$$_ $$_\n" }}' > $@
 	$(PERL) $(PERLLIB)/ExtUtils/xsubpp -prototypes -typemap \
 	    $(PERLLIB)/ExtUtils/typemap if_perl.xs >> $@
 
-auto/osdef.h: auto/config.h osdef.sh osdef1.h.in osdef2.h.in
+osdef.h: config.h osdef.sh osdef1.h.in osdef2.h.in
 	CC="$(CC) $(ALL_CFLAGS)" srcdir=$(srcdir) sh $(srcdir)/osdef.sh
 
 QUOTESED = sed -e 's/"/\\"/g' -e 's/\\"/"/' -e 's/\\";$$/";/'
-auto/pathdef.c: Makefile auto/config.mk
+pathdef.c: Makefile config.mk
 	-@echo creating $@
 	-@echo '/* pathdef.c */' > $@
 	-@echo '/* This file is automatically created by Makefile' >> $@
@@ -2141,8 +2141,8 @@
 objects/if_xcmdsrv.o: if_xcmdsrv.c
 	$(CCC) -o $@ if_xcmdsrv.c
 
-objects/if_perl.o: auto/if_perl.c
-	$(CCC) -o $@ auto/if_perl.c
+objects/if_perl.o: if_perl.c
+	$(CCC) -o $@ if_perl.c
 
 objects/if_perlsfio.o: if_perlsfio.c
 	$(CCC) -o $@ if_perlsfio.c
@@ -2210,8 +2210,8 @@
 objects/os_unix.o: os_unix.c
 	$(CCC) -o $@ os_unix.c
 
-objects/pathdef.o: auto/pathdef.c
-	$(CCC) -o $@ auto/pathdef.c
+objects/pathdef.o: pathdef.c
+	$(CCC) -o $@ pathdef.c
 
 objects/py_config.o: $(PYTHON_CONFDIR)/config.c
 	$(CCC) -o $@ $(PYTHON_CONFDIR)/config.c \
@@ -2270,180 +2270,180 @@
 ###############################################################################
 ### (automatically generated by 'make depend')
 ### Dependencies:
-objects/buffer.o: buffer.c vim.h auto/config.h feature.h os_unix.h \
- auto/osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
+objects/buffer.o: buffer.c vim.h config.h feature.h os_unix.h \
+ osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
  gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h proto.h \
  globals.h farsi.h arabic.h version.h
-objects/charset.o: charset.c vim.h auto/config.h feature.h os_unix.h \
- auto/osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
+objects/charset.o: charset.c vim.h config.h feature.h os_unix.h \
+ osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
  gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h proto.h \
  globals.h farsi.h arabic.h
-objects/diff.o: diff.c vim.h auto/config.h feature.h os_unix.h auto/osdef.h \
+objects/diff.o: diff.c vim.h config.h feature.h os_unix.h osdef.h \
  ascii.h keymap.h term.h macros.h structs.h regexp.h gui.h gui_beval.h \
  proto/gui_beval.pro option.h ex_cmds.h proto.h globals.h farsi.h \
  arabic.h
-objects/digraph.o: digraph.c vim.h auto/config.h feature.h os_unix.h \
- auto/osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
+objects/digraph.o: digraph.c vim.h config.h feature.h os_unix.h \
+ osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
  gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h proto.h \
  globals.h farsi.h arabic.h
-objects/edit.o: edit.c vim.h auto/config.h feature.h os_unix.h auto/osdef.h \
+objects/edit.o: edit.c vim.h config.h feature.h os_unix.h osdef.h \
  ascii.h keymap.h term.h macros.h structs.h regexp.h gui.h gui_beval.h \
  proto/gui_beval.pro option.h ex_cmds.h proto.h globals.h farsi.h \
  arabic.h
-objects/eval.o: eval.c vim.h auto/config.h feature.h os_unix.h auto/osdef.h \
+objects/eval.o: eval.c vim.h config.h feature.h os_unix.h osdef.h \
  ascii.h keymap.h term.h macros.h structs.h regexp.h gui.h gui_beval.h \
  proto/gui_beval.pro option.h ex_cmds.h proto.h globals.h farsi.h \
  arabic.h version.h
-objects/ex_cmds.o: ex_cmds.c vim.h auto/config.h feature.h os_unix.h \
- auto/osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
+objects/ex_cmds.o: ex_cmds.c vim.h config.h feature.h os_unix.h \
+ osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
  gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h proto.h \
  globals.h farsi.h arabic.h version.h
-objects/ex_cmds2.o: ex_cmds2.c vim.h auto/config.h feature.h os_unix.h \
- auto/osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
+objects/ex_cmds2.o: ex_cmds2.c vim.h config.h feature.h os_unix.h \
+ osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
  gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h proto.h \
  globals.h farsi.h arabic.h version.h
-objects/ex_docmd.o: ex_docmd.c vim.h auto/config.h feature.h os_unix.h \
- auto/osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
+objects/ex_docmd.o: ex_docmd.c vim.h config.h feature.h os_unix.h \
+ osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
  gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h proto.h \
  globals.h farsi.h arabic.h
-objects/ex_eval.o: ex_eval.c vim.h auto/config.h feature.h os_unix.h \
- auto/osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
+objects/ex_eval.o: ex_eval.c vim.h config.h feature.h os_unix.h \
+ osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
  gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h proto.h \
  globals.h farsi.h arabic.h
-objects/ex_getln.o: ex_getln.c vim.h auto/config.h feature.h os_unix.h \
- auto/osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
+objects/ex_getln.o: ex_getln.c vim.h config.h feature.h os_unix.h \
+ osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
  gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h proto.h \
  globals.h farsi.h arabic.h
-objects/fileio.o: fileio.c vim.h auto/config.h feature.h os_unix.h \
- auto/osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
+objects/fileio.o: fileio.c vim.h config.h feature.h os_unix.h \
+ osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
  gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h proto.h \
  globals.h farsi.h arabic.h
-objects/fold.o: fold.c vim.h auto/config.h feature.h os_unix.h auto/osdef.h \
+objects/fold.o: fold.c vim.h config.h feature.h os_unix.h osdef.h \
  ascii.h keymap.h term.h macros.h structs.h regexp.h gui.h gui_beval.h \
  proto/gui_beval.pro option.h ex_cmds.h proto.h globals.h farsi.h \
  arabic.h
-objects/getchar.o: getchar.c vim.h auto/config.h feature.h os_unix.h \
- auto/osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
+objects/getchar.o: getchar.c vim.h config.h feature.h os_unix.h \
+ osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
  gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h proto.h \
  globals.h farsi.h arabic.h
-objects/if_cscope.o: if_cscope.c vim.h auto/config.h feature.h os_unix.h \
- auto/osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
+objects/if_cscope.o: if_cscope.c vim.h config.h feature.h os_unix.h \
+ osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
  gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h proto.h \
  globals.h farsi.h arabic.h if_cscope.h
-objects/if_xcmdsrv.o: if_xcmdsrv.c vim.h auto/config.h feature.h os_unix.h \
- auto/osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
+objects/if_xcmdsrv.o: if_xcmdsrv.c vim.h config.h feature.h os_unix.h \
+ osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
  gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h proto.h \
  globals.h farsi.h arabic.h version.h
-objects/main.o: main.c vim.h auto/config.h feature.h os_unix.h auto/osdef.h \
+objects/main.o: main.c vim.h config.h feature.h os_unix.h osdef.h \
  ascii.h keymap.h term.h macros.h structs.h regexp.h gui.h gui_beval.h \
  proto/gui_beval.pro option.h ex_cmds.h proto.h globals.h farsi.h \
  arabic.h farsi.c arabic.c
-objects/mark.o: mark.c vim.h auto/config.h feature.h os_unix.h auto/osdef.h \
+objects/mark.o: mark.c vim.h config.h feature.h os_unix.h osdef.h \
  ascii.h keymap.h term.h macros.h structs.h regexp.h gui.h gui_beval.h \
  proto/gui_beval.pro option.h ex_cmds.h proto.h globals.h farsi.h \
  arabic.h
-objects/memfile.o: memfile.c vim.h auto/config.h feature.h os_unix.h \
- auto/osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
+objects/memfile.o: memfile.c vim.h config.h feature.h os_unix.h \
+ osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
  gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h proto.h \
  globals.h farsi.h arabic.h
-objects/memline.o: memline.c vim.h auto/config.h feature.h os_unix.h \
- auto/osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
+objects/memline.o: memline.c vim.h config.h feature.h os_unix.h \
+ osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
  gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h proto.h \
  globals.h farsi.h arabic.h
-objects/menu.o: menu.c vim.h auto/config.h feature.h os_unix.h auto/osdef.h \
+objects/menu.o: menu.c vim.h config.h feature.h os_unix.h osdef.h \
  ascii.h keymap.h term.h macros.h structs.h regexp.h gui.h gui_beval.h \
  proto/gui_beval.pro option.h ex_cmds.h proto.h globals.h farsi.h \
  arabic.h
-objects/message.o: message.c vim.h auto/config.h feature.h os_unix.h \
- auto/osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
+objects/message.o: message.c vim.h config.h feature.h os_unix.h \
+ osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
  gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h proto.h \
  globals.h farsi.h arabic.h
-objects/misc1.o: misc1.c vim.h auto/config.h feature.h os_unix.h auto/osdef.h \
+objects/misc1.o: misc1.c vim.h config.h feature.h os_unix.h osdef.h \
  ascii.h keymap.h term.h macros.h structs.h regexp.h gui.h gui_beval.h \
  proto/gui_beval.pro option.h ex_cmds.h proto.h globals.h farsi.h \
  arabic.h version.h
-objects/misc2.o: misc2.c vim.h auto/config.h feature.h os_unix.h auto/osdef.h \
+objects/misc2.o: misc2.c vim.h config.h feature.h os_unix.h osdef.h \
  ascii.h keymap.h term.h macros.h structs.h regexp.h gui.h gui_beval.h \
  proto/gui_beval.pro option.h ex_cmds.h proto.h globals.h farsi.h \
  arabic.h
-objects/move.o: move.c vim.h auto/config.h feature.h os_unix.h auto/osdef.h \
+objects/move.o: move.c vim.h config.h feature.h os_unix.h osdef.h \
  ascii.h keymap.h term.h macros.h structs.h regexp.h gui.h gui_beval.h \
  proto/gui_beval.pro option.h ex_cmds.h proto.h globals.h farsi.h \
  arabic.h
-objects/mbyte.o: mbyte.c vim.h auto/config.h feature.h os_unix.h auto/osdef.h \
+objects/mbyte.o: mbyte.c vim.h config.h feature.h os_unix.h osdef.h \
  ascii.h keymap.h term.h macros.h structs.h regexp.h gui.h gui_beval.h \
  proto/gui_beval.pro option.h ex_cmds.h proto.h globals.h farsi.h \
  arabic.h
-objects/normal.o: normal.c vim.h auto/config.h feature.h os_unix.h \
- auto/osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
+objects/normal.o: normal.c vim.h config.h feature.h os_unix.h \
+ osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
  gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h proto.h \
  globals.h farsi.h arabic.h
-objects/ops.o: ops.c vim.h auto/config.h feature.h os_unix.h auto/osdef.h \
+objects/ops.o: ops.c vim.h config.h feature.h os_unix.h osdef.h \
  ascii.h keymap.h term.h macros.h structs.h regexp.h gui.h gui_beval.h \
  proto/gui_beval.pro option.h ex_cmds.h proto.h globals.h farsi.h \
  arabic.h
-objects/option.o: option.c vim.h auto/config.h feature.h os_unix.h \
- auto/osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
+objects/option.o: option.c vim.h config.h feature.h os_unix.h \
+ osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
  gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h proto.h \
  globals.h farsi.h arabic.h
-objects/os_unix.o: os_unix.c vim.h auto/config.h feature.h os_unix.h \
- auto/osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
+objects/os_unix.o: os_unix.c vim.h config.h feature.h os_unix.h \
+ osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
  gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h proto.h \
  globals.h farsi.h arabic.h os_unixx.h
-objects/pathdef.o: auto/pathdef.c vim.h auto/config.h feature.h os_unix.h \
- auto/osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
+objects/pathdef.o: pathdef.c vim.h config.h feature.h os_unix.h \
+ osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
  gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h proto.h \
  globals.h farsi.h arabic.h
-objects/quickfix.o: quickfix.c vim.h auto/config.h feature.h os_unix.h \
- auto/osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
+objects/quickfix.o: quickfix.c vim.h config.h feature.h os_unix.h \
+ osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
  gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h proto.h \
  globals.h farsi.h arabic.h
-objects/regexp.o: regexp.c vim.h auto/config.h feature.h os_unix.h \
- auto/osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
+objects/regexp.o: regexp.c vim.h config.h feature.h os_unix.h \
+ osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
  gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h proto.h \
  globals.h farsi.h arabic.h
-objects/screen.o: screen.c vim.h auto/config.h feature.h os_unix.h \
- auto/osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
+objects/screen.o: screen.c vim.h config.h feature.h os_unix.h \
+ osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
  gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h proto.h \
  globals.h farsi.h arabic.h
-objects/search.o: search.c vim.h auto/config.h feature.h os_unix.h \
- auto/osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
+objects/search.o: search.c vim.h config.h feature.h os_unix.h \
+ osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
  gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h proto.h \
  globals.h farsi.h arabic.h
-objects/syntax.o: syntax.c vim.h auto/config.h feature.h os_unix.h \
- auto/osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
+objects/syntax.o: syntax.c vim.h config.h feature.h os_unix.h \
+ osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
  gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h proto.h \
  globals.h farsi.h arabic.h
-objects/tag.o: tag.c vim.h auto/config.h feature.h os_unix.h auto/osdef.h \
+objects/tag.o: tag.c vim.h config.h feature.h os_unix.h osdef.h \
  ascii.h keymap.h term.h macros.h structs.h regexp.h gui.h gui_beval.h \
  proto/gui_beval.pro option.h ex_cmds.h proto.h globals.h farsi.h \
  arabic.h
-objects/term.o: term.c vim.h auto/config.h feature.h os_unix.h auto/osdef.h \
+objects/term.o: term.c vim.h config.h feature.h os_unix.h osdef.h \
  ascii.h keymap.h term.h macros.h structs.h regexp.h gui.h gui_beval.h \
  proto/gui_beval.pro option.h ex_cmds.h proto.h globals.h farsi.h \
  arabic.h
-objects/ui.o: ui.c vim.h auto/config.h feature.h os_unix.h auto/osdef.h \
+objects/ui.o: ui.c vim.h config.h feature.h os_unix.h osdef.h \
  ascii.h keymap.h term.h macros.h structs.h regexp.h gui.h gui_beval.h \
  proto/gui_beval.pro option.h ex_cmds.h proto.h globals.h farsi.h \
  arabic.h
-objects/undo.o: undo.c vim.h auto/config.h feature.h os_unix.h auto/osdef.h \
+objects/undo.o: undo.c vim.h config.h feature.h os_unix.h osdef.h \
  ascii.h keymap.h term.h macros.h structs.h regexp.h gui.h gui_beval.h \
  proto/gui_beval.pro option.h ex_cmds.h proto.h globals.h farsi.h \
  arabic.h
-objects/version.o: version.c vim.h auto/config.h feature.h os_unix.h \
- auto/osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
+objects/version.o: version.c vim.h config.h feature.h os_unix.h \
+ osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
  gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h proto.h \
  globals.h farsi.h arabic.h version.h
-objects/window.o: window.c vim.h auto/config.h feature.h os_unix.h \
- auto/osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
+objects/window.o: window.c vim.h config.h feature.h os_unix.h \
+ osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
  gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h proto.h \
  globals.h farsi.h arabic.h
-objects/gui.o: gui.c vim.h auto/config.h feature.h os_unix.h auto/osdef.h \
+objects/gui.o: gui.c vim.h config.h feature.h os_unix.h osdef.h \
  ascii.h keymap.h term.h macros.h structs.h regexp.h gui.h gui_beval.h \
  proto/gui_beval.pro option.h ex_cmds.h proto.h globals.h farsi.h \
  arabic.h
-objects/gui_gtk.o: gui_gtk.c gui_gtk_f.h vim.h auto/config.h feature.h \
- os_unix.h auto/osdef.h ascii.h keymap.h term.h macros.h structs.h \
+objects/gui_gtk.o: gui_gtk.c gui_gtk_f.h vim.h config.h feature.h \
+ os_unix.h osdef.h ascii.h keymap.h term.h macros.h structs.h \
  regexp.h gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h \
  proto.h globals.h farsi.h arabic.h ../pixmaps/alert.xpm \
  ../pixmaps/error.xpm ../pixmaps/generic.xpm ../pixmaps/info.xpm \
@@ -2463,26 +2463,26 @@
  ../pixmaps/tb_shell.xpm ../pixmaps/tb_replace.xpm \
  ../pixmaps/tb_vsplit.xpm ../pixmaps/tb_maxwidth.xpm \
  ../pixmaps/tb_minwidth.xpm ../pixmaps/stock_icons.h
-objects/gui_gtk_f.o: gui_gtk_f.c vim.h auto/config.h feature.h os_unix.h \
- auto/osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
+objects/gui_gtk_f.o: gui_gtk_f.c vim.h config.h feature.h os_unix.h \
+ osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
  gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h proto.h \
  globals.h farsi.h arabic.h gui_gtk_f.h
-objects/gui_motif.o: gui_motif.c vim.h auto/config.h feature.h os_unix.h \
- auto/osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
+objects/gui_motif.o: gui_motif.c vim.h config.h feature.h os_unix.h \
+ osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
  gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h proto.h \
  globals.h farsi.h arabic.h ../pixmaps/alert.xpm ../pixmaps/error.xpm \
  ../pixmaps/generic.xpm ../pixmaps/info.xpm ../pixmaps/quest.xpm
-objects/gui_athena.o: gui_athena.c vim.h auto/config.h feature.h os_unix.h \
- auto/osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
+objects/gui_athena.o: gui_athena.c vim.h config.h feature.h os_unix.h \
+ osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
  gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h proto.h \
  globals.h farsi.h arabic.h gui_at_sb.h
-objects/gui_gtk_x11.o: gui_gtk_x11.c vim.h auto/config.h feature.h os_unix.h \
- auto/osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
+objects/gui_gtk_x11.o: gui_gtk_x11.c vim.h config.h feature.h os_unix.h \
+ osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
  gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h proto.h \
  globals.h farsi.h arabic.h gui_gtk_f.h ../runtime/vim32x32.xpm \
  ../runtime/vim16x16.xpm ../runtime/vim48x48.xpm
-objects/gui_x11.o: gui_x11.c vim.h auto/config.h feature.h os_unix.h \
- auto/osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
+objects/gui_x11.o: gui_x11.c vim.h config.h feature.h os_unix.h \
+ osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
  gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h proto.h \
  globals.h farsi.h arabic.h ../runtime/vim32x32.xpm \
  ../runtime/vim16x16.xpm ../runtime/vim48x48.xpm ../pixmaps/tb_new.xpm \
@@ -2501,60 +2501,60 @@
  ../pixmaps/tb_shell.xpm ../pixmaps/tb_replace.xpm \
  ../pixmaps/tb_vsplit.xpm ../pixmaps/tb_maxwidth.xpm \
  ../pixmaps/tb_minwidth.xpm
-objects/gui_at_sb.o: gui_at_sb.c vim.h auto/config.h feature.h os_unix.h \
- auto/osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
+objects/gui_at_sb.o: gui_at_sb.c vim.h config.h feature.h os_unix.h \
+ osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
  gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h proto.h \
  globals.h farsi.h arabic.h gui_at_sb.h
-objects/gui_at_fs.o: gui_at_fs.c vim.h auto/config.h feature.h os_unix.h \
- auto/osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
+objects/gui_at_fs.o: gui_at_fs.c vim.h config.h feature.h os_unix.h \
+ osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
  gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h proto.h \
  globals.h farsi.h arabic.h gui_at_sb.h
-objects/pty.o: pty.c vim.h auto/config.h feature.h os_unix.h auto/osdef.h \
+objects/pty.o: pty.c vim.h config.h feature.h os_unix.h osdef.h \
  ascii.h keymap.h term.h macros.h structs.h regexp.h gui.h gui_beval.h \
  proto/gui_beval.pro option.h ex_cmds.h proto.h globals.h farsi.h \
  arabic.h
-objects/hangulin.o: hangulin.c vim.h auto/config.h feature.h os_unix.h \
- auto/osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
+objects/hangulin.o: hangulin.c vim.h config.h feature.h os_unix.h \
+ osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
  gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h proto.h \
  globals.h farsi.h arabic.h
-objects/if_perl.o: auto/if_perl.c vim.h auto/config.h feature.h os_unix.h \
- auto/osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
+objects/if_perl.o: if_perl.c vim.h config.h feature.h os_unix.h \
+ osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
  gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h proto.h \
  globals.h farsi.h arabic.h
-objects/if_perlsfio.o: if_perlsfio.c vim.h auto/config.h feature.h os_unix.h \
- auto/osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
+objects/if_perlsfio.o: if_perlsfio.c vim.h config.h feature.h os_unix.h \
+ osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
  gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h proto.h \
  globals.h farsi.h arabic.h
-objects/if_python.o: if_python.c vim.h auto/config.h feature.h os_unix.h \
- auto/osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
+objects/if_python.o: if_python.c vim.h config.h feature.h os_unix.h \
+ osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
  gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h proto.h \
  globals.h farsi.h arabic.h
-objects/if_tcl.o: if_tcl.c vim.h auto/config.h feature.h os_unix.h \
- auto/osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
+objects/if_tcl.o: if_tcl.c vim.h config.h feature.h os_unix.h \
+ osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
  gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h proto.h \
  globals.h farsi.h arabic.h
-objects/if_ruby.o: if_ruby.c vim.h auto/config.h feature.h os_unix.h \
- auto/osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
+objects/if_ruby.o: if_ruby.c vim.h config.h feature.h os_unix.h \
+ osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
  gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h proto.h \
  globals.h farsi.h arabic.h version.h
-objects/if_sniff.o: if_sniff.c vim.h auto/config.h feature.h os_unix.h \
- auto/osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
+objects/if_sniff.o: if_sniff.c vim.h config.h feature.h os_unix.h \
+ osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
  gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h proto.h \
  globals.h farsi.h arabic.h os_unixx.h
-objects/gui_beval.o: gui_beval.c vim.h auto/config.h feature.h os_unix.h \
- auto/osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
+objects/gui_beval.o: gui_beval.c vim.h config.h feature.h os_unix.h \
+ osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
  gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h proto.h \
  globals.h farsi.h arabic.h
-objects/workshop.o: workshop.c auto/config.h integration.h vim.h feature.h \
- os_unix.h auto/osdef.h ascii.h keymap.h term.h macros.h structs.h \
+objects/workshop.o: workshop.c config.h integration.h vim.h feature.h \
+ os_unix.h osdef.h ascii.h keymap.h term.h macros.h structs.h \
  regexp.h gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h \
  proto.h globals.h farsi.h arabic.h version.h workshop.h
 objects/wsdebug.o: wsdebug.c
-objects/integration.o: integration.c vim.h auto/config.h feature.h os_unix.h \
- auto/osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
+objects/integration.o: integration.c vim.h config.h feature.h os_unix.h \
+ osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
  gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h proto.h \
  globals.h farsi.h arabic.h integration.h
-objects/netbeans.o: netbeans.c vim.h auto/config.h feature.h os_unix.h \
- auto/osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
+objects/netbeans.o: netbeans.c vim.h config.h feature.h os_unix.h \
+ osdef.h ascii.h keymap.h term.h macros.h structs.h regexp.h \
  gui.h gui_beval.h proto/gui_beval.pro option.h ex_cmds.h proto.h \
  globals.h farsi.h arabic.h version.h
--- src/link.sh~configure
+++ src/link.sh
@@ -16,18 +16,18 @@
 exit_value=0
 
 #
-# If auto/link.sed already exists, use it.  We assume a previous run of
+# If link.sed already exists, use it.  We assume a previous run of
 # link.sh has found the correct set of libraries.
 #
-if test -f auto/link.sed; then
-  echo "link.sh: The file 'auto/link.sed' exists, which is going to be used now."
-  echo "link.sh: If linking fails, try deleting the auto/link.sed file."
-  echo "link.sh: If this fails too, try creating an empty auto/link.sed file."
+if test -f link.sed; then
+  echo "link.sh: The file 'link.sed' exists, which is going to be used now."
+  echo "link.sh: If linking fails, try deleting the link.sed file."
+  echo "link.sh: If this fails too, try creating an empty link.sed file."
 else
 
 # If linking works with the full link command, try removing some libraries,
 # that are known not to be needed on at least one system.
-# Remove auto/pathdef.c if there is a new link command and compile it again.
+# Remove pathdef.c if there is a new link command and compile it again.
 # There is a loop to remove libraries that appear several times.
 #
 # Notes:
@@ -38,7 +38,7 @@
 #
   cat link.cmd
   if sh link.cmd; then
-    touch auto/link.sed
+    touch link.sed
     cp link.cmd linkit.sh
     for libname in SM ICE nsl dnet dnet_stub inet socket dir elf iconv Xt Xmu Xp Xpm X11 Xdmcp x pthread thread readline m perl crypt attr; do
       cont=yes
@@ -46,22 +46,22 @@
         if grep "l$libname " linkit.sh >/dev/null; then
           if test ! -f link1.sed; then
             echo "link.sh: OK, linking works, let's try removing a few libraries."
-            echo "link.sh: See auto/link.log for details."
-            rm -f auto/link.log
+            echo "link.sh: See link.log for details."
+            rm -f link.log
           fi
           echo "s/-l$libname  *//" >link1.sed
-          sed -f auto/link.sed <link.cmd >linkit2.sh
+          sed -f link.sed <link.cmd >linkit2.sh
           sed -f link1.sed <linkit2.sh >linkit.sh
           # keep the last -lm
           if test $libname != "m" || grep "lm " linkit.sh >/dev/null; then
             echo "link.sh: Trying to remove the $libname library..."
-            cat linkit.sh >>auto/link.log
+            cat linkit.sh >>link.log
             # Redirect this link output, it may contain error messages which
             # should be ignored.
-            if sh linkit.sh >>auto/link.log 2>&1; then
+            if sh linkit.sh >>link.log 2>&1; then
               echo "link.sh: We don't need the $libname library!"
-              cat link1.sed >>auto/link.sed
-              rm -f auto/pathdef.c
+              cat link1.sed >>link.sed
+              rm -f pathdef.c
             else
               echo "link.sh: We DO need the $libname library."
               cont=
@@ -77,7 +77,7 @@
         fi
       done
     done
-    if test ! -f auto/pathdef.c; then
+    if test ! -f pathdef.c; then
       $MAKE objects/pathdef.o
     fi
     if test ! -f link1.sed; then
@@ -92,23 +92,23 @@
 #
 # Now do the real linking.
 #
-if test -s auto/link.sed; then
-  echo "link.sh: Using auto/link.sed file to remove a few libraries"
-  sed -f auto/link.sed <link.cmd >linkit.sh
+if test -s link.sed; then
+  echo "link.sh: Using link.sed file to remove a few libraries"
+  sed -f link.sed <link.cmd >linkit.sh
   cat linkit.sh
   if sh linkit.sh; then
     exit_value=0
     echo "link.sh: Linked fine with a few libraries removed"
   else
     exit_value=$?
-    echo "link.sh: Linking failed, making auto/link.sed empty and trying again"
-    mv -f auto/link.sed link2.sed
-    touch auto/link.sed
-    rm -f auto/pathdef.c
+    echo "link.sh: Linking failed, making link.sed empty and trying again"
+    mv -f link.sed link2.sed
+    touch link.sed
+    rm -f pathdef.c
     $MAKE objects/pathdef.o
   fi
 fi
-if test -f auto/link.sed -a ! -s auto/link.sed -a ! -f link3.sed; then
+if test -f link.sed -a ! -s link.sed -a ! -f link3.sed; then
   echo "link.sh: Using unmodified link command"
   cat link.cmd
   if sh link.cmd; then
@@ -117,8 +117,8 @@
   else
     exit_value=$?
     if test -f link2.sed; then
-      echo "link.sh: Linking doesn't work at all, removing auto/link.sed"
-      rm -f auto/link.sed
+      echo "link.sh: Linking doesn't work at all, removing link.sed"
+      rm -f link.sed
     fi
   fi
 fi
--- src/osdef.sh~configure
+++ src/osdef.sh
@@ -23,7 +23,7 @@
 cat << EOF > osdef0.c
 #define select select_declared_wrong
 #define tgetstr tgetstr_declared_wrong
-#include "auto/config.h"
+#include "config.h"
 #include "os_unix.h"	/* bring in most header files, more follow below */
 #include "os_unixx.h"	/* bring in header files for os_unix.c */
 
@@ -63,10 +63,10 @@
 EOF
 
 cat osdef0.ccc | sed -n -f osdef11.sed >> osdef2.sed
-sed -f osdef2.sed < $srcdir/osdef1.h.in > auto/osdef.h
+sed -f osdef2.sed < $srcdir/osdef1.h.in > osdef.h
 
 cat osdef0.ccc | sed -n -f osdef21.sed > osdef2.sed
-sed -f osdef2.sed < $srcdir/osdef2.h.in >> auto/osdef.h
+sed -f osdef2.sed < $srcdir/osdef2.h.in >> osdef.h
 
 rm osdef0.c osdef0.cc osdef0.ccc osdef11.sed osdef21.sed osdef2.sed
 
@@ -79,7 +79,7 @@
   exit 1
 fi
 cat $srcdir/osdef1.h.in $srcdir/osdef2.h.in >osdefX.h.in
-if eval test "`diff auto/osdef.h osdefX.h.in | wc -l`" -eq 4; then
+if eval test "`diff osdef.h osdefX.h.in | wc -l`" -eq 4; then
   echo "  Hmm, sed is very pessimistic about your system header files."
   echo "  But it did not dump core -- strange! Let's continue carefully..."
   echo "  If this fails, you may want to remove offending lines from osdef.h"
--- src/pathdef.sh~configure
+++ src/pathdef.sh
@@ -1,11 +1,11 @@
 #! /bin/sh
 #
-# pathdef.sh: adjust pathdef.c for auto/link.sed, if it exists
+# pathdef.sh: adjust pathdef.c for link.sed, if it exists
 #
-if test -s auto/link.sed; then
-  cp auto/pathdef.c auto/pathdef.tmp
-  sed -f auto/link.sed <auto/pathdef.tmp >auto/pathdef.c
-  rm -f auto/pathdef.tmp
+if test -s link.sed; then
+  cp pathdef.c auto/pathdef.tmp
+  sed -f link.sed <auto/pathdef.tmp >auto/pathdef.c
+  rm -f pathdef.tmp
 fi
 
 # vim:set sw=2 et:
--- src/proto/if_perl.pro~configure
+++ src/proto/if_perl.pro
@@ -1,4 +1,4 @@
-/* auto/if_perl.c */
+/* if_perl.c */
 int perl_enabled __ARGS((int verbose));
 void perl_end __ARGS((void));
 void msg_split __ARGS((char_u *s, int attr));
--- src/vim.h~configure
+++ src/vim.h
@@ -27,7 +27,7 @@
 /* ============ the header file puzzle (ca. 50-100 pieces) ========= */
 
 #ifdef HAVE_CONFIG_H	/* GNU autoconf (or something else) was here */
-# include "auto/config.h"
+# include "config.h"
 # define HAVE_PATHDEF
 
 /*
@@ -36,7 +36,7 @@
  * test program.  Other items from configure may also be wrong then!
  */
 # if (SIZEOF_INT == 0)
-    Error: configure did not run properly.  Check auto/config.log.
+    Error: configure did not run properly.  Check config.log.
 # endif
 
 /*
@@ -204,7 +204,7 @@
 #endif
 
 #if defined(UNIX) && !defined(MACOS_X) /* MACOS_X doesn't yet support osdef.h */
-# include "auto/osdef.h"	/* bring missing declarations in */
+# include "osdef.h"	/* bring missing declarations in */
 #endif
 
 #ifdef __EMX__
--- src/workshop.c~configure
+++ src/workshop.c
@@ -9,7 +9,7 @@
  */
 
 #ifdef HAVE_CONFIG_H
-# include "auto/config.h"
+# include "config.h"
 #endif
 #include <stdio.h>
 #include <stdlib.h>
